Skip to main content

Create Purchase Order: Entrata

POSThttps://api.propexo.com/v1/purchase-orders/entrata/
Method
vendors/sendPurchaseOrders
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    vendor_location_idstringrequired

    The Propexo unique identifier for the vendor location

    property_idstringrequired

    The Propexo unique identifier for the property

    ap_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    post_datestringrequired

    The post date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring

    Description of the purchase order

    shipping_amount_in_centsinteger

    The cost of shipping, in cents, of the purchase order

    discount_amount_in_centsinteger

    The discount, in cents, of the purchase order

    purchase_order_items object[]

    A list of the items associated with the purchase orders

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    descriptionstring

    Description of the purchase order item

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    unit_idstring

    The Propexo unique identifier for the unit

    quantity_orderednumber

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    is_confidentialboolean

    Whether the purchase order item is confidential or not

    is_taxableboolean

    Whether the purchase order item is taxable or not

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    vendor_location_idstringrequired

    The Propexo unique identifier for the vendor location

    property_idstringrequired

    The Propexo unique identifier for the property

    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    post_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring | nullnullablerequired

    Description of the purchase order

    shipping_amount_in_centsinteger | nullnullablerequired

    The cost of shipping, in cents, of the purchase order

    discount_amount_in_centsinteger | nullnullablerequired

    The discount, in cents, of the purchase order

    purchase_order_items object[]

    A list of the items associated with the purchase orders

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    descriptionstring

    Description of the purchase order item

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    unit_idstring

    The Propexo unique identifier for the unit

    quantity_orderednumber

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    is_confidentialboolean

    Whether the purchase order item is confidential or not

    is_taxableboolean

    Whether the purchase order item is taxable or not

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/purchase-orders/entrata/
curl -X POST https://api.propexo.com/v1/purchase-orders/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"property_id": "string",
"post_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"property_id": "string",
"ap_financial_account_id": "string",
"post_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"shipping_amount_in_cents": 0,
"discount_amount_in_cents": 0,
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"financial_account_id": "string",
"unit_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"is_confidential": true,
"is_taxable": true
}
]
}
}